Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.datamgmt
Class DataManagerImpl

    java.lang.Object
      org.jboss.txbridge.ba.datamgmt.DataManagerImpl

All Implemented Interfaces:
  DataManager

Direct Known Subclasses:
  ExecutionDataProviderImpl

    public class DataManagerImpl

extends java.lang.Object
implements DataManager

Compensation Manager provides a lightweight API for the Business Programmer so that it can store any additional data which may be required by the datamgmt action. In low-level details it wraps a participant associated with the current service invocation. Compensation Manager is automatically injected by the underlying middleware mechanisms.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`
`(package private) Participant` | `participant`
`(package private) java.lang.String` | `taskId`

Constructor Summary
`DataManagerImpl(java.lang.String taskId, Participant participant)` Constructor

Method Summary
`java.lang.Object` | `get(java.lang.Object objectId)` This method retrieves an object with a given identifier.
`void` | `put(java.lang.Object objectId, java.lang.Object object)` This method stores an object with a given ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.apache.log4j.Logger log

### taskId

    java.lang.String taskId

### participant

    Participant participant

Constructor Detail

### DataManagerImpl

    public DataManagerImpl(java.lang.String taskId,
                           Participant participant)

  Constructor

  Parameters:
    `taskId` - is the task identifier.
    `participant` - is the reference to the participant.

Method Detail

### put

    public void put(java.lang.Object objectId,
                    java.lang.Object object)

  This method stores an object with a given ID. It uses the participant it is aware of and the task identifier.

  Specified by:
    `put` in interface `DataManager`
  Parameters:
    `objectId` - is the ID of the object.
    `object` - is the object itself :)

### get

    public java.lang.Object get(java.lang.Object objectId)

  This method retrieves an object with a given identifier. This method automatically associates the task id this datamgmt manager was associated with.

  Specified by:
    `get` in interface `DataManager`
  Parameters:
    `objectId` - is the ID of the object.
  Returns:
    the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD